MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027193Open CASCADE[OCCT] OCCT:Documentationpublic2016-02-19 19:012016-07-01 16:59
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027193: Describe building OCCT with genproj tool
DescriptionWhile WOK has been dismissed (see 0024002) and WOK command wgenproj was converted to pure Tcl command genproj (see 0024786), documentation of OCCT building remained unchanged and still refers to WOK. This must be corrected.
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0051256)
git (administrator)
2016-03-01 11:09

Branch CR27193 has been created by abv.

SHA-1: a73f3450f6aa0ef274abc92f89f256df3a64536a


Detailed log of new commits:

Author: abv
Date: Tue Mar 1 11:09:24 2016 +0300

    0027193: Describe building OCCT with genproj tool
(0051328)
git (administrator)
2016-03-02 19:19

Branch CR27193 has been updated by abv.

SHA-1: f07448f908f564977a5f380d1e92410d17da610b


Detailed log of new commits:

Author: abv
Date: Wed Mar 2 19:19:07 2016 +0300

    New script genconf allows starting configuration GUI explicitly. Dialog is slightly revised.
    
    Script env.bat does not set anymore environment required for Products.

(0051332)
kgv (developer)
2016-03-02 21:54

-set "CSF_OPT_CMPL="
-set "PRODUCTS_DEFINES="
-if ["%HAVE_TBB%"]       == ["true"] set "PRODUCTS_DEFINES=%PRODUCTS_DEFINES% 
-DHAVE_TBB"
-if ["%HAVE_OPENCL%"]    == ["true"] set "PRODUCTS_DEFINES=%PRODUCTS_DEFINES% 
-DHAVE_OPENCL"
-if ["%HAVE_GL2PS%"]     == ["true"] set "PRODUCTS_DEFINES=%PRODUCTS_DEFINES% 
-DHAVE_GL2PS"
-if ["%HAVE_FREEIMAGE%"] == ["true"] set "PRODUCTS_DEFINES=%PRODUCTS_DEFINES% 
-DHAVE_FREEIMAGE"
-if ["%HAVE_VTK%"]       == ["true"] set "PRODUCTS_DEFINES=%PRODUCTS_DEFINES% 
-DHAVE_VTK"
-if ["%HAVE_D3D%"]       == ["true"] set "PRODUCTS_DEFINES=%PRODUCTS_DEFINES% 
-DHAVE_D3D"
...
-rem ----- Optional 3rd-parties should be enabled by HAVE macros -----
-if not ["%PRODUCTS_DEFINES%"] == [""] set "CSF_OPT_CMPL=%CSF_OPT_CMPL% %PRODUCTS_DEFINES%"


CSF_OPT_CMPL is set not for "OCC Products" but for "3rd-party products" - it is used by Code::Blocks and Xcode project files in the same manner as CSF_DEFINES for Visual Studio projects but with different syntax (directly as compiler flags).

Please revert.
(0051379)
git (administrator)
2016-03-03 17:15

Branch CR27193 has been updated forcibly by abv.

SHA-1: 1ca1ed282f50f63766ebc3703785991a76ec05cd
(0051385)
git (administrator)
2016-03-03 22:03

Branch CR27193_1 has been created by abv.

SHA-1: 8721b6f7e4f50a96e69aceb1c02735b27391f720


Detailed log of new commits:

Author: abv
Date: Thu Mar 3 20:25:01 2016 +0300

    0027193: Describe building OCCT with genproj tool
    
    Description of building with WOK and automake scripts is removed from documentation.
    Use of genproj utility is included in description of relevant build systems.
    
    New script genconf allows starting configuration GUI explicitly; dialog is slightly revised.
    
    Script env.bat does not set anymore environment required for Products.
(0051386)
git (administrator)
2016-03-03 22:15

Branch CR27193_1 has been updated forcibly by abv.

SHA-1: edea4d79c7f3a8844f44cdc562287a93c5db7e12
(0051387)
git (administrator)
2016-03-03 22:26

Branch CR27193_1 has been updated forcibly by abv.

SHA-1: 785f6dda22c888d337830318b2d5ebb97e93117e
(0051389)
abv (manager)
2016-03-03 22:27

Corrections in documentation and scripts pushed to CR27193_1, please review
(0051390)
kgv (developer)
2016-03-03 23:34

Please take the patch.
(0051391)
git (administrator)
2016-03-03 23:35

Branch CR27193_1 has been updated forcibly by abv.

SHA-1: 18515038b17abf905e031b74101a14a93a2aefd5
(0052908)
git (administrator)
2016-04-17 13:40

Branch CR27193 has been deleted by kgv.

SHA-1: 1ca1ed282f50f63766ebc3703785991a76ec05cd
(0052909)
git (administrator)
2016-04-17 13:40

Branch CR27193_1 has been deleted by kgv.

SHA-1: 18515038b17abf905e031b74101a14a93a2aefd5

- Related Changesets
occt: master 72c37458
Timestamp: 2016-03-03 17:25:01
Author: abv
Committer: abv
Details ] Diff ]
0027193: Describe building OCCT with genproj tool

Description of building OCCT with WOK and automake scripts is removed from documentation.
Use of genproj utility is described in pages on building with MSVC, Code::Blocks, and XCode projects.

New script genconf allows starting configuration GUI explicitly; dialog is slightly revised.
Script genproj.sh is renamed to genproj; permissions for scripts are corrected for Linux.

Script env.bat does not set anymore environment required for Products.
mod - adm/genconf.tcl Diff ] File ]
mod - adm/templates/env.bat Diff ] File ]
add - dox/dev_guides/building/3rdparty/images/genconf_windows.png Diff ] File ]
rm - dox/dev_guides/building/automake.md Diff ] File ]
mod - dox/dev_guides/building/building.md Diff ] File ]
mod - dox/dev_guides/building/cmake/cmake.md Diff ] File ]
mod - dox/dev_guides/building/code_blocks.md Diff ] File ]
mod - dox/dev_guides/building/msvc.md Diff ] File ]
rm - dox/dev_guides/building/wok/images/wok_image001.png Diff ] File ]
rm - dox/dev_guides/building/wok/images/wok_image002.png Diff ] File ]
rm - dox/dev_guides/building/wok/wok.md Diff ] File ]
mod - dox/dev_guides/building/xcode.md Diff ] File ]
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - dox/FILES_HTML.txt Diff ] File ]
add - genconf Diff ] File ]
add - genconf.bat Diff ] File ]
mod - genproj.bat Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-02-19 19:01 abv New Issue
2016-02-19 19:01 abv Assigned To => ysn
2016-02-19 19:06 abv Assigned To ysn => abv
2016-02-19 19:06 abv Summary Document building OCCT with genproj tool => Describe building OCCT with genproj tool
2016-03-01 11:09 git Note Added: 0051256
2016-03-02 19:19 git Note Added: 0051328
2016-03-02 21:54 kgv Note Added: 0051332
2016-03-03 17:15 git Note Added: 0051379
2016-03-03 22:03 git Note Added: 0051385
2016-03-03 22:15 git Note Added: 0051386
2016-03-03 22:26 git Note Added: 0051387
2016-03-03 22:27 abv Note Added: 0051389
2016-03-03 22:27 abv Assigned To abv => kgv
2016-03-03 22:27 abv Status new => resolved
2016-03-03 22:27 abv Steps to Reproduce Updated View Revisions
2016-03-03 23:34 kgv Note Added: 0051390
2016-03-03 23:34 kgv Assigned To kgv => bugmaster
2016-03-03 23:34 kgv Status resolved => reviewed
2016-03-03 23:35 git Note Added: 0051391
2016-03-04 16:52 abv Changeset attached => occt master 72c37458
2016-03-04 16:52 abv Assigned To bugmaster => abv
2016-03-04 16:52 abv Status reviewed => verified
2016-03-04 16:52 abv Resolution open => fixed
2016-04-17 13:40 git Note Added: 0052908
2016-04-17 13:40 git Note Added: 0052909
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed
2016-07-01 16:59 kgv Relationship added related to 0027661


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker